#define __AVR_ATtiny13__

#include <avr/io.h>
#include <avr/interrupt.h>

#define SBIT(ADDRESS,BIT) ((ADDRESS) |= (1<<(BIT)))
#define CBIT(ADDRESS,BIT)  ((ADDRESS) &= ~(1<<(BIT)))

#define MOSI	PORTB0
#define SCL		PORTB1
#define LATCH	PORTB2

unsigned char Counter;
unsigned char i;
unsigned char Buffer[32] = {
	0xE1,
	0xD1,
	0xB1,
	0x71,
	
	0xE2,
	0xD2,
	0xB2,
	0x72,
	
	0xE4,
	0xD4,
	0xB4,
	0x74,
	
	0xE8,
	0xD8,
	0xB8,
	0x78,
	
	0x17,
	0x27,
	0x47,
	0x87,
	
	0x1B,
	0x2B,
	0x4B,
	0x8B,
	
	0x1D,
	0x2D,
	0x4D,
	0x8D,
	
	0x1E,
	0x2E,
	0x4E,
	0x8E,
};

void    SendSPI(unsigned char ByteToSend)
{
	for (i=0;i<8;i++)
	{
		if  (ByteToSend & 0x80) { SBIT(PORTB,MOSI); } else { CBIT(PORTB,MOSI); }
		SBIT(PORTB,SCL);
		ByteToSend = ByteToSend << 1;
		CBIT(PORTB,SCL);
	}
	SBIT(PORTB,LATCH);
	CBIT(PORTB,LATCH);
}

ISR (TIM0_OVF_vect)// void timer0_ovf_isr(void)
{
    SendSPI(Buffer[Counter]);
	Counter++;
	if (Counter == 32) Counter = 0;
}

void main(void)
{
PORTB=0x00;
DDRB=0x07;                //           xx000111  B
// Timer/Counter 0 initialization
TCCR0A=0x00;
TCCR0B=0x05;	// Fosc/1024
TCNT0=0x00;
OCR0A=0;
OCR0B=0;
TIMSK0=(1<<TOIE0);//0x00;

asm ("sei");
while (1){}
}
